Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.crawler
Interface IContainer

public interface IContainer

An interface that allows the portal to systematically crawl a remote document repository by querying all documents and child containers (sub-nodes) that a particular container (node) contains and the respective users and groups that can access that particular container (node).

Method Summary
`ChildContainer[]` | `getChildContainers()` Returns an array of the immediate child containers of this container.
`ChildDocument[]` | `getChildDocuments()` Returns an array of the immediate child documents of this container.
`ACLEntry[]` | `getGroups()` Returns an array of the groups with access to this container.
`ContainerMetaData` | `getMetaData(java.lang.String[] filter)` Deprecated. Obsolete; not called by the server. See `ContainerMetaData`.
`ACLEntry[]` | `getUsers()` Returns an array of the users with access to this container.

Method Detail

### getChildDocuments

    public ChildDocument[] getChildDocuments()
                                      throws ServiceException

  Returns an array of the immediate child documents of this container.

  Returns:
    the `ChildDocument` array
  Throws:
    `ServiceException` - if an error occurred

### getChildContainers

    public ChildContainer[] getChildContainers()
                                        throws ServiceException

  Returns an array of the immediate child containers of this container.

  Returns:
    the `ChildContainer` array
  Throws:
    `ServiceException` - if an error occurred

### getUsers

    public ACLEntry[] getUsers()
                        throws ServiceException

  Returns an array of the users with access to this container.

  Returns:
    the `ACLEntry` array of users
  Throws:
    `ServiceException` - if an error occurred

### getGroups

    public ACLEntry[] getGroups()
                         throws ServiceException

  Returns an array of the groups with access to this container.

  Returns:
    the `ACLEntry` array of groups
  Throws:
    `ServiceException` - if an error occurred

### getMetaData

    public ContainerMetaData getMetaData(java.lang.String[] filter)
                                  throws ServiceException

  Deprecated. Obsolete; not called by the server. See `ContainerMetaData`.

  Returns the metadata information about this container.

  Parameters:
    `filter` - a string array containing the desired metadata attributes; returns all metadata attributes if null
  Returns:
    the metadata object
  Throws:
    `ServiceException` - if an error occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.